javax.sound.sampled

## Class CompoundControl.Type

- java.lang.Object
- - javax.sound.sampled.Control.Type
  - - javax.sound.sampled.CompoundControl.Type

- Enclosing class:
    CompoundControl

      public static class CompoundControl.Type
      extends Control.Type

  An instance of the `CompoundControl.Type` inner class identifies one kind of compound control. Static instances are provided for the common types.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CompoundControl.Type(String name)` Constructs a new compound control type.

  - ### Method Summary

    - ### Methods inherited from class javax.sound.sampled.Control.Type

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompoundControl.Type

          protected CompoundControl.Type(String name)

      Constructs a new compound control type.
      Parameters:
        `name` - the name of the new compound control type

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.